> ## Documentation Index
> Fetch the complete documentation index at: https://funnelfox.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Complete payment for an order

> Complete (capture) the payment for an order using a payment method token. Limited to two charges per day per payment method token.



## OpenAPI

````yaml /swagger/openapi-billing.json post /checkout/create_payment
openapi: 3.0.0
info:
  title: OpenAPI3
  version: 1.0.0
servers:
  - url: https://billing.funnelfox.com/{org_id}/v1
    description: FunnelFox Billing API
    variables:
      org_id:
        default: your-org-id
        description: Your organization ID
security:
  - FunnelFoxSecretKey: []
paths:
  /checkout/create_payment:
    post:
      tags:
        - Checkout
      summary: Complete payment for an order
      description: >-
        Complete (capture) the payment for an order using a payment method
        token. Limited to two charges per day per payment method token.
      parameters:
        - name: org_id
          in: path
          required: true
          description: Organization ID
          schema:
            type: string
          style: simple
          explode: false
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CheckoutCreatePaymentIn'
      responses:
        '200':
          description: Payment status and details
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CheckoutCreatePaymentOut'
      security: []
components:
  schemas:
    CheckoutCreatePaymentIn:
      properties:
        payment_method_token:
          title: Payment Method Token
          type: string
        order_id:
          description: Order ID (can include multiple transactions, fallbacks, and refunds)
          format: uuid
          title: order id
          type: string
        client_metadata:
          additionalProperties: true
          description: Custom metadata from your client application
          title: Client Metadata
          type: object
      required:
        - payment_method_token
        - order_id
      title: CheckoutCreatePaymentIn
      type: object
    CheckoutCreatePaymentOut:
      properties:
        action_required_token:
          title: Action Required Token
          type: string
        checkout_status:
          $ref: '#/components/schemas/CheckoutPaymentStatus'
        failed_message_for_user:
          title: Failed Message For User
          type: string
        order_id:
          format: uuid
          type: string
          nullable: true
      required:
        - action_required_token
        - checkout_status
        - failed_message_for_user
        - order_id
      title: CheckoutCreatePaymentOut
      type: object
    CheckoutPaymentStatus:
      enum:
        - processing
        - succeeded
        - failed
        - cancelled
      title: CheckoutPaymentStatus
      type: string
  securitySchemes:
    FunnelFoxSecretKey:
      type: apiKey
      in: header
      name: ff-secret-key
      description: Secret key for FunnelFox Billing API. Required for all requests.

````